
package ru.crystals.test.plugins.data;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CancelDiscount complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CancelDiscount">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="receiptAttributes" type="{http://crystals.ru/setapi/test/plugin/loyalty}AttributeEntry" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="customerDisplayMessage" type="{http://crystals.ru/setapi/test/plugin/loyalty}CustomerMessage" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CancelDiscount", propOrder = {
    "receiptAttributes",
    "customerDisplayMessage"
})
public class CancelDiscount {

    protected List<AttributeEntry> receiptAttributes;
    protected List<CustomerMessage> customerDisplayMessage;

    /**
     * Gets the value of the receiptAttributes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the receiptAttributes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReceiptAttributes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttributeEntry }
     * 
     * 
     */
    public List<AttributeEntry> getReceiptAttributes() {
        if (receiptAttributes == null) {
            receiptAttributes = new ArrayList<AttributeEntry>();
        }
        return this.receiptAttributes;
    }

    /**
     * Gets the value of the customerDisplayMessage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customerDisplayMessage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCustomerDisplayMessage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CustomerMessage }
     * 
     * 
     */
    public List<CustomerMessage> getCustomerDisplayMessage() {
        if (customerDisplayMessage == null) {
            customerDisplayMessage = new ArrayList<CustomerMessage>();
        }
        return this.customerDisplayMessage;
    }

}
