
package ru.crystals.test.plugins.data;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CardInfo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CardInfo">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cardInfoString" type="{http://crystals.ru/setapi/test/plugin/loyalty}AttributeEntry" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="customerDisplayMessage" type="{http://crystals.ru/setapi/test/plugin/loyalty}CustomerMessage" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="status" use="required" type="{http://crystals.ru/setapi/test/plugin/loyalty}CardSearchStatus" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CardInfo", propOrder = {
    "title",
    "cardInfoString",
    "customerDisplayMessage"
})
public class CardInfo {

    protected String title;
    protected List<AttributeEntry> cardInfoString;
    protected List<CustomerMessage> customerDisplayMessage;
    @XmlAttribute(name = "status", required = true)
    protected CardSearchStatus status;

    /**
     * Gets the value of the title property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTitle(String value) {
        this.title = value;
    }

    /**
     * Gets the value of the cardInfoString property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cardInfoString property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCardInfoString().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttributeEntry }
     * 
     * 
     */
    public List<AttributeEntry> getCardInfoString() {
        if (cardInfoString == null) {
            cardInfoString = new ArrayList<AttributeEntry>();
        }
        return this.cardInfoString;
    }

    /**
     * Gets the value of the customerDisplayMessage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customerDisplayMessage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCustomerDisplayMessage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CustomerMessage }
     * 
     * 
     */
    public List<CustomerMessage> getCustomerDisplayMessage() {
        if (customerDisplayMessage == null) {
            customerDisplayMessage = new ArrayList<CustomerMessage>();
        }
        return this.customerDisplayMessage;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link CardSearchStatus }
     *     
     */
    public CardSearchStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardSearchStatus }
     *     
     */
    public void setStatus(CardSearchStatus value) {
        this.status = value;
    }

}
