
package ru.crystals.test.plugins.data;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FiscalizationFeedback complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FiscalizationFeedback">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="slips" type="{http://crystals.ru/setapi/test/plugin/loyalty}PrintSlip" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="accruals" type="{http://crystals.ru/setapi/test/plugin/loyalty}AccrualResult" minOccurs="0"/>
 *         &lt;element name="customerDisplayMessage" type="{http://crystals.ru/setapi/test/plugin/loyalty}CustomerMessage" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FiscalizationFeedback", propOrder = {
    "slips",
    "accruals",
    "customerDisplayMessage"
})
public class FiscalizationFeedback {

    protected List<PrintSlip> slips;
    protected AccrualResult accruals;
    protected List<CustomerMessage> customerDisplayMessage;

    /**
     * Gets the value of the slips property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the slips property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSlips().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PrintSlip }
     * 
     * 
     */
    public List<PrintSlip> getSlips() {
        if (slips == null) {
            slips = new ArrayList<PrintSlip>();
        }
        return this.slips;
    }

    /**
     * Gets the value of the accruals property.
     * 
     * @return
     *     possible object is
     *     {@link AccrualResult }
     *     
     */
    public AccrualResult getAccruals() {
        return accruals;
    }

    /**
     * Sets the value of the accruals property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccrualResult }
     *     
     */
    public void setAccruals(AccrualResult value) {
        this.accruals = value;
    }

    /**
     * Gets the value of the customerDisplayMessage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customerDisplayMessage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCustomerDisplayMessage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CustomerMessage }
     * 
     * 
     */
    public List<CustomerMessage> getCustomerDisplayMessage() {
        if (customerDisplayMessage == null) {
            customerDisplayMessage = new ArrayList<CustomerMessage>();
        }
        return this.customerDisplayMessage;
    }

}
