package ru.crystals.test.plugins;

import org.mockito.Mockito;
import ru.crystals.pos.spi.IntegrationProperties;
import ru.crystals.pos.spi.PropertiesReader;

public class BaseTest {

    public IntegrationProperties mockIntegrationProperties() {
        IntegrationProperties ips = Mockito.mock(IntegrationProperties.class);
        PropertiesReader pr = Mockito.mock(PropertiesReader.class);
        Mockito.when(pr.get(Mockito.eq("setting.test.service.config.file"))).thenReturn("src/test/resources/unit-test-data.xml");
        Mockito.when(ips.getServiceProperties()).thenReturn(pr);
        return ips;
    }
}
