package ru.crystals.pos.api.plugin.techprocess;

/**
 * Определяет каким образом кассе продолжить выполнение преравнного сценария.
 */
public enum InterceptionStatus {

    /**
     * Плагин произвел необходимые действия и можно продолжить прерванный сценарий.
     */
    CONTINUE,

    /**
     * Касса должна повторить прерванный сценарий сначала.
     */
    RETRY,

    /**
     * Касса должна завершить прерванный сценарий.
     */
    ABORT,

}
