package ru.crystals.pos.spi.receipt;

/**
 * Сущность, описывающая владельца карты
 */
public interface CardHolder {

    /**
     * Получить идентификатор владельца карты
     *
     * @return идентификатор
     */
    String getId();

    /**
     * Получить имя владельца карты
     *
     * @return имя
     */
    String getFirstName();

    /**
     * Получить фамилию владельца карты
     *
     * @return фамилия
     */
    String getLastName();

    /**
     * Получить отчество владельца карты
     *
     * @return отчество
     */
    String getMiddleName();

}
